<?php
/*---------------------------------------------------------------
# Package - Stools Framework  
# ---------------------------------------------------------------
# Author - joomla2you http://www.joomla2you.com
# Copyright (C) 2008 - 2018 joomla2you.com. All Rights Reserved. 
# Websites: http://www.joomla2you.com
-----------------------------------------------------------------*/

defined('JPATH_BASE') or die;
jimport('joomla.form.formfield');

class JFormFieldAsset extends JFormField
{
	protected	$type = 'Asset';
	
	protected function getInput() {
		$plg_path = JURI::root().'/plugins/system/stools/elements/';	
		
		if($this->element['assettype'] == 'js') {
			JHtml::_('script', $plg_path . $this->element['filename'], false, true);
		} else {
			JHtml::_('stylesheet', $plg_path . $this->element['filename'], false, true);
		}	
	}
}